Subject: Cheap replica watches

From: " Sipping" <[email-masked] >
Date: Tue, 10 Jul 2007 13:33:28 -0400

Heard a lot about replica watches but don’t believe they can be qualitative?
There’s hardly anyone able to beat our low prices – plus, we ship for free!
All famous brands presented – and available for truly laughable money!
http://stflu.com